Subject: Re: wifi on Motorola Droid 4 in 5.3-rc2

From: Pavel Machek <[email-masked]>
Date: Mon, 19 Aug 2019 11:19:41 +0200

On Sun 2019-08-18 17:06:05, Kalle Valo wrote:
> Pavel Machek <[email-masked]> writes:
> 
> > On Sun 2019-08-18 12:53:01, Michael Nazzareno Trimarchi wrote:
> >> Hi
> >> 
> >> On Sun, Aug 18, 2019 at 12:46 PM Pavel Machek <[email-masked]> wrote:
> >> >
> >> > Hi!
> >> >
> >> > First, I guess I should mention that this is first time I'm attempting
> >> > to get wifi going on D4.
> >> >
> >> > I'm getting this:
> >> >
> >> > user@devuan:~/g/ofono$ sudo ifconfig wlan0 down
> >> > user@devuan:~/g/ofono$ sudo ifconfig wlan0 up
> >> > user@devuan:~/g/ofono$ sudo iwlist wlan0 scan
> >> > wlan0     Interface doesn't support scanning.
> >> >
> >> 
> >> Try to use iw command. iwlist use an obsolete interface that you need
> >> to activate in kernel for back compatibility with old command. Can be
> >> your problem?
> >
> > Let me see ... CONFIG_CFG80211_WEXT was not set.
> >
> > Tried enabling it, and now I got. I remember getting it before,
> > too... let me try few more boots, perhaps it is random.
> 
> >From developers' point of view WEXT is ancient and untested, everybody
> should switch to nl80211. So I strongly using iw (which uses nl80211).
> Of course this nothing to do with the wlcore warning you saw, just
> wanted to make you aware the state of wireless extensions.

You may want to add this to Kconfig test... and maybe it would be good
to mention iwconfig there, for easier grepping.

I'm using rather old distro; I'll update, but kernel is expected to be
back-compatible.. and tested :-).

Best regards,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel